from django.urls import path
from . import views

urlpatterns = [
    path('', views.home, name='admin_home'),
    path('create_admin/', views.create_admin, name='create_admin'),
    path('admin_login/', views.admin_login, name='admin_login'),  # URL for login
    path('validate_admin/', views.validate_admin, name='validate_admin'),
    path('get_admin_details/', views.get_admin_details, name='get_admin_details'),
    path('admin/dashboard/<str:admin_id>/', views.admin_dashboard, name='dashboard'),
    path('admin_logout/', views.logout_view, name='admin_logout'),
    # path('client_details/', views.client_details, name='client_details'),
    # path('save-details/', views.save_details, name='save_details'),
    # path('save-details-subcompany/', views.save_details_subcompany, name='save-details-subcompany'),
    # path('api/get_subcompanies/', views.get_locations, name='get_subcompanies'),
    # path('get_subcompany_details/', views.get_combined_details, name='get_subcompany_details'),
    path('client-details/', views.client_details, name='client-details'),
    path('add_subclient/', views.add_subclient, name='add_subclient'),
    path('add_client/', views.add_client, name='add_client'),
    path('existing_client/', views.existing_client, name='existing_client'),

    path('new_job_postings/', views.new_job_posting, name='new_job_postings'),

    # path('get_contacts/', views.get_contacts, name='get_contacts'),
    path('save-details/', views.save_details, name='save_details'),
    path('get_GSTNo/', views.get_GSTNo, name='get_GSTNo'),
    path('save-details-subcompany/', views.save_details_subcompany, name='save-details-subcompany'),
    path('get_parentCompany/', views.get_parentCompany, name='get_parentCompany'),
    path('save_sublocation/', views.save_sublocation, name='save_sublocation'),
    path('api/get_subcompanies/', views.get_locations, name='get_subcompanies'),
    path('get_subcompany_details/', views.get_combined_details, name='get_subcompany_details'),
    path('add_new_contact/', views.add_new_contact, name='add_new_contact'),
    path('add_location/', views.add_locations, name='add_location'),
    path('get_subclients/', views.get_subclients, name='get_subclients'),
    path('get_filtered_data/', views.get_filtered_data, name='get_filtered_data'),
    path('save_new_entry/', views.save_new_entry, name='save_new_entry'),
    path('add_contact/', views.add_contact, name='add_contact'),
    path('get_team_details/', views.get_team_details, name='get_team_details'),
    path('get_department/', views.get_department, name='get_department'),
    path('get_SearchData/', views.get_SearchData, name='get_SearchData'),
    path('check_parent_company/', views.check_parent_company, name='check_parent_company'),
    path('check_sub_company/', views.check_sub_company, name='check_sub_company'),
    # path('save_job_posting/', views.save_job_posting, name='save_job_posting'),

    path('edit_CompanyDetails/', views.edit_CompanyDetails, name='edit_CompanyDetails'),
    path('delete_CompanyDetails/', views.delete_CompanyDetails, name='delete_CompanyDetails'),
    path('edit_teamDetails/', views.edit_teamDetails, name='edit_teamDetails'),
    path('delete_teamDetails/', views.delete_teamDetails, name='delete_teamDetails'),

    path('validate_field/', views.validate_field, name='validate_field'),
    path('validate_cell_field/', views.validate_cell_field, name='validate_cell_field'),

    path('Internal_team_details/', views.Internal_team_details, name='Internal_team_details'),
    path('save_Internal_team_Details/', views.save_Internal_team_Details, name='save_Internal_team_Details'),
    path('validate_internal_team/', views.validate_internal_team, name='validate_internal_team'),
    path('validate_internal_team/', views.validate_internal_team, name='validate_internal_team'),
    path('existing_employee/', views.existing_employee, name='existing_employee'),
    path('validate_existingEmployee/', views.validate_existingEmployee, name='validate_existingEmployee'),
    path('delete_internalTeam/', views.delete_internalTeam, name='delete_internalTeam'),
    path('edit_internalTeam/', views.edit_internalTeam, name='edit_internalTeam'),
    path('print_internalTeam/', views.print_internalTeam, name='print_internalTeam'),

    path('get_row_count/', views.get_row_count, name='get_row_count'),
    path('load_excel_data/', views.load_excel_data, name='load_excel_data'),
    path('get_employee/', views.get_employee, name='get_employee'),
]

